<?php defined('_JEXEC') or die('Restricted access');

/**
 * @version 2.0 $Id: default.php,v 1.16 2009/12/14 20:29:50 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

require_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'LDConfig.php');
require_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'classes'.DS.'ThumbnailUtils.php');
$ld_conf= new LDConfig();

function showYesNo($title,$description,$name, $enable=true){
	$ld_conf= new LDConfig();
	$defaultValue=$ld_conf->$name;
	$tag_attribs='class="inputbox"';
	if (! $enable)
		$tag_attribs.=' disabled="disabled"';
	$yesnoRadioList = JHTML::_('select.booleanlist',  $name, $tag_attribs , $defaultValue ) ;
?>	
	<tr>
		<td align="left" valign="top" width="30%"><strong><?php echo $title;?></strong></td>
		<td align="left" valign="top" width="20%"><?php echo $yesnoRadioList;?></td>
		<td align="left" valign="top"><?php echo $description;?></td>
	</tr>	
<?php
}

function showSelectList($title,$description,$var_name,$var=array()){
	$ld_conf= new LDConfig();
	$defaultValue=$ld_conf->$var_name;
	$genericlist = JHTML::_('select.genericlist', $var, $var_name, 'class="inputbox" size="1"', 'value', 'text', $defaultValue );
	?>
	<tr>
		<td align="left" valign="top" width="30%"><strong><?php echo $title;?></strong></td>
		<td align="left" valign="top" width="20%"><?php echo $genericlist; ?></td>
		<td align="left" valign="top"><?php echo $description;?></td>
	</tr>
	<?php
}

function showTextField($title,$description,$var_name,$size=30,$allowHtml=false){
	$ld_conf= new LDConfig();
	if ($allowHtml) {
		$defaultValue=htmlentities($ld_conf->$var_name);
	} else {
		$defaultValue=$ld_conf->$var_name;
	}
	
?>
	<tr>
		<td align="left" valign="top" width="30%"><strong><?php echo $title;?></strong></td>
		<td align="left" valign="top" width="20%"><input type="text" size="<?php echo $size;?>"
			name="<?echo $var_name; ?>" value="<?php echo $defaultValue?>" /></td>
		<td align="left" valign="top"><?php echo $description;?></td>
	</tr>
	
	
	<?php
}
?>
<div>

<script language="javascript" type="text/javascript">
	function submitbutton(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'cancel') {
			submitform( pressbutton );
			return;
		}
		submitform( pressbutton );
	}
</script>

<table border="0" cellpadding="0" cellspacing="0" width="100%" class="adminheading">
	<tr>
		<td valign="top" align="right"><?php echo JText::_('LD_CONFIGFILE');?> : <?php
		if ($this->isConfigurationWriteable){
			echo '<b><font color="green">'.JText::_('LD_WRITEABLE').'</font></b>';
		} else {
			echo '<b><font color="red">'.JText::_('LD_UNWRITEABLE').'</font></b>';
		} ?></td>
	</tr>
</table>


<form action="index.php" method="post" name="adminForm" id="adminForm">
<?php
	echo $this->pane->startPane("configPane");
?>
<!-- form action="index2.php" method="post" name="adminForm"--><?php

	/* ********************************************************************
	 * *             GENERAL                                              *
	 * ******************************************************************** */
	echo $this->pane->startPanel(JText::_('LD_GENERAL'),"general-page");
?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo JText::_('GENERAL SETTINGS');?></th>
	</tr>
	<!-- Column selection-->
	<?php 
	$sayi = array();
	$sayi[] = JHTML::_('select.option', '1', '1 '. JText::_('LD_COLUMN') );
	$sayi[] = JHTML::_('select.option',  '2', '2 '. JText::_('LD_COL') );
	$sayi[] = JHTML::_('select.option',  '3', '3 '. JText::_('LD_COL') );
	$sayi[] = JHTML::_('select.option',  '4', '4 '. JText::_('LD_COL') );
	showSelectList(JText::_('LD_TCOLUMN'),JText::_('LD_TCOL_DESC'),'column',$sayi);
	?>
	<!-- Column selection-->
	
	<!-- Category delimiter for one column and one line -->
	<?php 
	$categoryDelimiter = array();
	$categoryDelimiter[] = JHTML::_('select.option', ' ', JText::_('LD_WHITESPACE') );
	$categoryDelimiter[] = JHTML::_('select.option', '',  JText::_('LD_NO_WHITESPACE') );
	
	$categoryDelimiter[] = JHTML::_('select.option', '[', '[TEXT]' );
	$categoryDelimiter[] = JHTML::_('select.option', '{', '{TEXT}' );
	$categoryDelimiter[] = JHTML::_('select.option', 'lt', '&lt;TEXT&gt;' );
	$categoryDelimiter[] = JHTML::_('select.option', '(', '(TEXT)' );
	
	$categoryDelimiter[] = JHTML::_('select.option', '[_', '[TEXT]_' );
	$categoryDelimiter[] = JHTML::_('select.option', '{_', '{TEXT}_' );
	$categoryDelimiter[] = JHTML::_('select.option', 'lt_', '&lt;TEXT&gt;_' );
	$categoryDelimiter[] = JHTML::_('select.option', '(_', '(TEXT)_' );
	showSelectList(JText::_('LD_CAT_DELIMITER'),JText::_('LD_CAT_DELIMITER_DESC'),'categoryDelimiter',$categoryDelimiter);
	?>
	<!-- Category delimiter for one column and one line -->
	
	<!-- Total link selection -->
	<?php showYesNo(JText::_('VIEW AMOUNT OF TOTAL LINKS'),JText::_('VIEW AMOUNT OF TOTAL LINKS DESC'),'tlink');?>
	<!-- Total link selection -->

	<!-- Total link subcats selection -->
	<?php showYesNo(JText::_('VIEW AMOUNT OF TOTAL SUBCATEGORIES'),JText::_('VIEW AMOUNT OF TOTAL SUBCATEGORIES DESC'),'tslink');?>
	<!-- Total link subcats selection -->

	<!-- Sub category limit -->
	<?php
	$sublimit = array();
	$sublimit[] = JHTML::_('select.option', '0', '0' );
	foreach (array(1,2,3,4,5,6,7,8,9,10,15,25,50) as $sublimitValue){
		$sublimit[] = JHTML::_('select.option', $sublimitValue, $sublimitValue );
	} 
	showSelectList(JText::_('LD_SUBCATLIMIT'),JText::_('LD_SUBCATLIMIT_DESC'),'sublimit',$sublimit);
	?>
	<!-- Sub category limit -->

	<!-- Dynamic Page Titles -->
	<?php showYesNo(JText::_('LD_DYNAPAGE'),JText::_('LD_DYNAPAGE_DESC'),'dpage');?>
	<!-- Dynamic Page Titles -->

	<!-- Check Input with JavaScript -->
	<?php showYesNo(JText::_('LD_JAVASCRIPT_CHECKS'),JText::_('LD_JAVASCRIPT_CHECKS_DESC'),'javascriptchecks');?>
	<!-- Check Input with JavaScript -->

	<!-- Security Image Selection -->
	<?php
	$capcha = array();
	$capcha[] = JHTML::_('select.option', 'none', 'none');
	$securityimagesConfig=JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_securityimages'.DS.'config.securityimages.php';
	if (@file_exists($securityimagesConfig)){
		global $securityImagesVersionShort;
		require $securityimagesConfig;
		list ($major,$minor, $patch) = split('[.]', $securityImagesVersionShort,3);
		if ($major >= 5) {
			$capcha[] = JHTML::_('select.option', 'securityimages5', 'Security Images' );
		}
	}
	$easycaptchaFile=JPATH_ROOT.DS.'components'.DS.'com_easycaptcha'.DS.'class.easycaptcha.php';
	if(file_exists($easycaptchaFile)) {
		$capcha[] = JHTML::_('select.option', 'easycaptcha', 'Easy Captcha' );
	}
	showSelectList(JText::_('LD_SEC_IMAGE'),JText::_('LD_SEC_IMAGE_DESC'),'securityimage',$capcha);
	?>
	<!-- Security Image Selection -->
	
	<!-- Disable Software Version Check -->
	<?php showYesNo(JText::_('LD_VERSIONCHECK'),JText::_('LD_VERSIONCHECK_DESC'),'versioncheck');?>
	<!-- Disable Software Version Check -->
	
	<!-- Disable Copyrigt Info -->
	<?php showYesNo(JText::_('LD_COPYRIGHTINFO'),JText::_('LD_COPYRIGHTINFO_DESC'),'copyrigthinfo');?>
	<!-- Disable Copyrigt Info -->

	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>
      <?php
      echo $this->pane->endPanel();
      /* ********************************************************************
	   * *             CATEGORY                                             *
	   * ******************************************************************** */
      echo $this->pane->startPanel(JText::_('LD_CATS'),"cat-page");
      ?>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo JText::_('LD_CAT_SETTINGS');?></th>
	</tr>
	<!-- Pathway Root Element -->
    <?php showTextField(JText::_('LD_ROOT_PATHWAY'),JText::_('LD_ROOT_PATHWAY_DESC'),'rootPathWay',30,true); ?>
	<!-- Pathway Root Element -->
	
	<!-- Catimage selection-->
	<?php showYesNo(JText::_('LD_CATIMG'),JText::_('LD_CATIMGDESC'),'catimage');?>
	<!-- Catimage selection-->

	<!-- Cat description selection -->
	<?php showYesNo(JText::_('LD_CATDESC'),JText::_('LD_CATDESCDESC'),'catdesc');?>
	<!-- Cat description selection -->

	<!-- Cat suggest -->
	<?php showYesNo(JText::_('LD_CATSUGGEST'),JText::_('LD_CATSUGDESC'),'suggestCategory');?>
	<!-- Cat suggest -->

	<!-- Category auto publish -->
	<?php showYesNo(JText::_('LD_CAT_SUG_AUTO_PUBLISH'),JText::_('LD_CAT_SUG_AUTO_PUBLISH_DESC'),'ldlcatautopublish'); ?>
	<!-- Category auto publish -->

	<!-- Category ordering -->
	<?php
	$catorder = array();
	$catorder[] = JHTML::_('select.option',  'ordering', JText::_('LD_CATORDER_DEF'));
	$catorder[] = JHTML::_('select.option',  'id ASC', JText::_('LD_CATORDER_IDASC'));
	$catorder[] = JHTML::_('select.option',  'id DESC', JText::_('LD_CATORDER_IDDESC'));
	$catorder[] = JHTML::_('select.option',  'name ASC', JText::_('LD_CATORDER_NAMEASC'));
	$catorder[] = JHTML::_('select.option',  'name DESC', JText::_('LD_CATORDER_NAMEDESC'));
	showSelectList(JText::_('LD_CAT_ORDER'),JText::_('LD_CAT_ORDER_DESC'),'catorder',$catorder);
	?>
	<!-- Category ordering -->

	<!-- Show category name on list -->
	<?php showYesNo(JText::_('LD_CAT_DESC_ON_LIST'),JText::_('LD_CAT_DESC_ON_LIST_DESC'),'ldshowcatonlist'); ?>
	<!-- Show category name on list -->

	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>
</table>

	<?php
	echo $this->pane->endPanel();	
	/* ********************************************************************
 	 * *             WEB-LINKS                                            *
     * ******************************************************************** */
	echo $this->pane->startPanel(JText::_('LD_WEBLINKS'),"link-page");
	?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo JText::_('LD_WEBLINK_SETTINGS');?></th>
	</tr>
	<!-- Add Link -->
	<?php
	$addlink = array();
	$addlink[] = JHTML::_('select.option', '10', '- Select Group -');
	//Everyone
	$addlink[] = JHTML::_('select.option', '0', '- General -');
	$addlink[] = JHTML::_('select.option', '10', 'No User Access');
	//Frontend
	$addlink[] = JHTML::_('select.option', '1', 'Registered');
	$addlink[] = JHTML::_('select.option', '2', 'Author');
	$addlink[] = JHTML::_('select.option', '3', 'Editor');
	$addlink[] = JHTML::_('select.option', '4', 'Publisher');
	//Backend
	$addlink[] = JHTML::_('select.option', '5', 'Manager');
	$addlink[] = JHTML::_('select.option', '6', 'Administrator');
	$addlink[] = JHTML::_('select.option', '7', 'Super Administrator');
	
	showSelectList(JText::_('LD_GADDLINK'),JText::_('LD_GADDLINKDESC'),'allowadd',$addlink);
	?>
	<!-- Add Link -->

	<!-- Link auto publish -->
	<?php showYesNo(JText::_('LD_LINK_AUTO_PUBLISH'),JText::_('LD_LINK_AUTO_PUBLISH_DESC'),'ldlinkautopublish');?>
	<!-- Link auto publish -->

	<!-- Edit Link -->
	<?php
	$editWebLink = array();
	$editWebLink[] = JHTML::_('select.option', '10', '- Select Group -');
	//Frontend
	$editWebLink[] = JHTML::_('select.option', '2', 'Author');
	$editWebLink[] = JHTML::_('select.option', '3', 'Editor');
	$editWebLink[] = JHTML::_('select.option', '4', 'Publisher');
	//Backend
	$editWebLink[] = JHTML::_('select.option', '5', 'Manager');
	$editWebLink[] = JHTML::_('select.option', '6', 'Administrator');
	$editWebLink[] = JHTML::_('select.option', '7', 'Super Administrator');
	showSelectList(JText::_('LD USER GROUP FOR EDIT LINK'),JText::_('LD USER GROUP FOR EDIT LINK DESC'),'allowedit',$editWebLink);
	?>
	<!-- Edit Link -->
	
	<!-- Link limit -->
	<?php showTextField(JText::_('LD_LINKLIMIT'),JText::_('LD_LINKLIMITDESC'),'limitlink',3); ?>
	<!-- Link limit -->

	<!-- Link ordering -->
	<?php
	$linkorder = array();
	$linkorder[] = JHTML::_('select.option', 'ordering', JText::_('LD_CATORDER_DEF'));
	$linkorder[] = JHTML::_('select.option', 'id ASC', JText::_('LD_CATORDER_IDASC'));
	$linkorder[] = JHTML::_('select.option', 'id DESC', JText::_('LD_CATORDER_IDDESC'));
	$linkorder[] = JHTML::_('select.option', 'title ASC', JText::_('LD_ORDERTITLEASC'));
	$linkorder[] = JHTML::_('select.option', 'title DESC', JText::_('LD_ORDERTITLEDESC'));
	$linkorder[] = JHTML::_('select.option', 'hits ASC', JText::_('LD_ORDERHITASC'));
	$linkorder[] = JHTML::_('select.option', 'hits DESC', JText::_('LD_ORDERHITDESC'));
	$linkorder[] = JHTML::_('select.option', 'created ASC', JText::_('LD_ORDERDATEASC'));
	$linkorder[] = JHTML::_('select.option', 'created DESC', JText::_('LD_ORDERDATEDESC'));
	if ($ld_conf->ratelink) {
		$linkorder[] = JHTML::_('select.option', 'rating ASC', JText::_('LD_ORDERRATEASC'));
		$linkorder[] = JHTML::_('select.option', 'rating DESC', JText::_('LD_ORDERRATEDESC'));
	}
	showSelectList(JText::_('LD_LINK_ORDER'),JText::_('LD_WEBLINK_ORDER_DESC'),'linkorder',$linkorder);
	?>
	<!-- Link ordering -->

	<!-- Link Display -->
	<?php
	$linkDisplayMode = array();
	$linkDisplayMode[] = JHTML::_('select.option', '0', JText::_('LD_WEBLINKSTYLE'));
	$linkDisplayMode[] = JHTML::_('select.option', '1', JText::_('LD_DIRECTURL'));
	showSelectList(JText::_('LD_LINKDISPLAY'),JText::_('LD_LINKDISPLAYDESC'),'linkDisplayMode',$linkDisplayMode);
	?>
	<!-- Link Display -->

	<!-- Show Long Description on detail page -->
	<?php showYesNo(JText::_('LD_LONG_DESC_ON_DETAIL_PAGE'),JText::_('LD_LONG_DESC_ON_DETAIL_PAGE_DESC'),'ldlongdetail');?>
	<!-- Show Long Description on detail page -->

	<!-- Show Long Description on link list -->
	<?php showYesNo(JText::_('LD_LONG_DESC_ON_LINK_LIST'),JText::_('LD_LONG_DESC_ON_LINK_LIST_DESC'),'ldlonglist'); ?>
	<!-- Show Long Description on detail page -->

	<!--  Show Detail Page -->
	<?php showYesNo(JText::_('LD_SHOW_DETAIL_PAGE'),JText::_('LD_SHOW_DETAIL_PAGE_DESC'),'ldshowdetailpage'); ?>

	<!--  Show Detail Page -->
	<?php showYesNo(JText::_('LD_SHOW_LINK_ADD'),JText::_('LD_SHOW_LINK_ADD_DESC'),'ldshowlinkadd'); ?>
	<!--  Show Detail Page -->

	<!-- Link Rating System -->
	<?php showYesNo(JText::_('LD_RATESYSTEM'),JText::_('LD_RATESYSTEMDESC'),'ratelink'); ?>
	<!-- Link Rating System -->

	<!-- Show Fast Link -->
	<?php showYesNo(JText::_('LD_SHOWFASTLINK'),JText::_('LD_SHOWFASTLINKDESC'),'showfastlink'); ?>
	<!-- Show Fast Link -->

	<!-- Show Hits -->
	<?php showYesNo(JText::_('LD_SHOWHITS'),JText::_('LD_SHOWHITSDESC'),'showhits'); ?>
	<!-- Show Hits -->

	<!-- Link Comment System -->
	<?php showYesNo(JText::_('LD_COMMENTSYSTEM'),JText::_('LD_COMMENTSYSTEMDESC'),'commentlink'); ?>
	<!-- Link Comment System -->
	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>
</table>

	<?php
	echo $this->pane->endPanel();
	/* ********************************************************************
	 * *             THUMBNAILS                                           *
	 * ******************************************************************** */	
	echo $this->pane->startPanel(JText::_('LD_LINK_THUMB'),'thumb-page');
	?>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo JText::_('LD_LINK_THUMB_SETTINGS');?></th>
	</tr>
	<!-- Enable Thumbnail Serices -->
	<?php showYesNo( JText::_('LD_LINK_THUMB_SERVICE'), JText::_('LD_LINK_THUMB_SERVICE_DESC'),'linkthumbaltservice'); ?>
	<!-- Enable Thumbnail Serices -->

	<!-- Show Link Thumb  -->
	<?php
	$linkthumbtype = array();
	$thumbnailServices=new ThumbnailUtils($ld_conf);
	foreach ($thumbnailServices->getAllSupportedLinkThumbnailServices() as $linkthumbnailService) {
		$linkthumbtype[] = JHTML::_('select.option',$linkthumbnailService,$linkthumbnailService);
	}
	$linkthumbtype[] = JHTML::_('select.option', 'user',JText::_('LD_LINK_THUMB_USER_ITEM'));
	showSelectList(JText::_('LD_LINK_THUMB_SELECTION'),JText::_('LD_LINK_THUMB_SELECTION_DESC'),'linkthumbtype',$linkthumbtype); 
	?>
	<!-- Show Link Thumb  -->

	<!-- Thumb Para 1 -->
	<?php showTextField(JText::_('LD_LINK_THUMB_PARA1'),JText::_('LD_LINK_THUMB_PARA1_DESC'),'linkthumbpara1',30,true); ?>
	<!-- Thumb Para 1 -->

	<!-- Thumb Para 2 -->
	<?php showTextField(JText::_('LD_LINK_THUMB_PARA2'),JText::_('LD_LINK_THUMB_PARA2_DESC'),'linkthumbpara2',30,true); ?>
	<!-- Thumb Para 2 -->

	<!-- Thumb HTML for user spec Link Thumb -->
	<?php showTextField(JText::_('LD_LINK_THUMB_USER_HTML'),JText::_('LD_LINK_THUMB_USER_HTML_DESC'),'linkthumbuserhtml',30,true); ?>
	<!--  Thumb HTML for user spec Link Thumb -->

	<!-- Back Link HTML for Link Thumb -->
	<?php showTextField(JText::_('LD_LINK_THUMB_USER_BACK_LINK_HTML'),JText::_('LD_LINK_THUMB_USER_BACK_LINK_HTML_DESC'),'linkthumbuserbacklinkhtml',30,true); ?>
	<!-- Back Link HTML for Link Thumb -->
	<tr>
		<th align="center" colspan="3"><?php echo JText::_('LD_LINK_THUMB_LOCAL_SETTINGS');?></th>
	</tr>

	<!-- Use alternative Images, if available  -->
	<?php showYesNo(JText::_('LD_LINK_THUMB_ALT_IMAGE'),JText::_('LD_LINK_THUMB_ALT_IMAGE_DESC'),'linkthumbaltimage'); ?>
	<!--  Use alternative Images, if available -->

	<!-- Pfad for alternative Images -->
	<?php
	$base = $this->localThumbnailRootDir;
	$folders = JFolder::folders($base, '.', true, true);
	$options[] = JHTML::_('select.option', "","/");
	foreach ($folders as $folder) {
		$folder 	= str_replace($base, "", $folder);
		$value		= substr($folder, 1);
		$text	 	= str_replace(DS, "/", $folder);
		$options[] 	= JHTML::_('select.option', $value, $text);
	}

	if (is_array($options)) {
		sort($options);
	}

	showSelectList(JText::_('LD_LINK_THUMB_IMAGE_DIR') . ' ('. $this->localThumbnailRootDir.')',JText::_('LD_LINK_THUMB_IMAGE_DIR_DESC'),'thumbfolderlist',$options);
	?>
	<!-- Pfad for alternative Images -->

	<!--  CSS for local Thumbnail -->
	<?php showTextField(JText::_('LD_LINK_THUMB_LOCAL_CSS_CLASS'),JText::_('LD_LINK_THUMB_LOCAL_CSS_CLASS_DESC'),'linkthumblocalcssclass',30); ?>	
	<!--  CSS for local Thumbnail -->

	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>
</table>

	<?php
	echo $this->pane->endPanel();

	/* ********************************************************************
	* *             Comments                                              *
	* ******************************************************************** */
	echo $this->pane->startPanel(JText::_('LD_COMMENTS'),'comment-page');
	?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo JText::_('LD_COMMENT_SETTINGS');?></th>
	</tr>
	<!-- Select Comment System -->
	<?php
	$commentSystem = array();
	$commentSystem[] = JHTML::_('select.option', 'intern', JText::_('LD_COMMENT_INTERNAL'));
	
	require_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'classes'.DS.'JCommentInstallHelper.php');
	
	if (JCommentInstallHelper::isJCommentInstalled()){
		$commentSystem[] = JHTML::_('select.option', 'jcomment', JText::_('LD_COMMENT_JCOMMENT'));
	}
	showSelectList(JText::_('LD_COMMENT_SYSTEM'),JText::_('LD_COMMENT_SYSTEM_DESC'),'commentSystem',$commentSystem);
	 ?>
	<!-- Select Comment System -->
	<tr>
		<th align="center" colspan="3"><?php echo JText::_('LD_INTERN_COMMENT_SETTINGS');?></th>
	</tr>
	<!-- Write Comment Only Once -->
	<?php showYesNo(JText::_('LD_WRITECOM_ONCE'),JText::_('LD_WRITECOM_ONCEDESC'),'writeonce'); ?>
	<!-- Write Comment Only Once -->

	<!-- Auto publish comment -->
	<?php showYesNo(JText::_('LD_COM_AUTOPUB'),JText::_('LD_COM_AUTOPUBDESC'),'autopbcomment'); ?>
	<!-- Auto publish Comment -->

	<!-- Guest write comment -->
	<?php showYesNo(JText::_('LD_COM_GUEST'),JText::_('LD_COM_GUESTDESC'),'gaddcom'); ?>
	<!-- Guest write comment -->

	<!-- View real name in comment list -->
	<?php showYesNo(JText::_('LD_COM_VIEW_REAL_NAME'),JText::_('LD_COM_VIEW_REAL_NAME_DESC'),'realnamecomment'); ?>
	<!-- View real name in comment list -->

	<!-- Comment limit  for a page -->
	<?php showTextField(JText::_('LD COMMENT LIMIT'),JText::_('LD COMMENT LIMIT DESCRIPTION'),'imitcomment',3); ?>
	<!-- Comment limit for a page -->

	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>
	<?php
	echo $this->pane->endPanel();
	/* ********************************************************************
	 * *             RATING                                               *
	 * ******************************************************************** */
	echo $this->pane->startPanel(JText::_('LD_RATING'),'rating-page');
	?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo JText::_('LD_RATING_SETTINGS');?></th>
	</tr>

	<!-- Rate Once -->
	<?php showYesNo(JText::_('LD_RATE_ONCE'),JText::_('LD_RATE_ONCEDESC'),'rateonce'); ?>
	<!-- Rate Once -->

	<!-- Guest add rating -->
	<?php showYesNo(JText::_('LD_GUEST_RATE'),JText::_('LD_GUEST_RATEDESC'),'gaddrate'); ?>
	<!-- Guest add rating -->

	<!-- View rating -->
	<?php showTextField(JText::_('LD_VIEW_RATE'),JText::_('LD_VIEW_RATEDESC'),'minrate',3); ?>
	<!-- Guest add rating -->

	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>
	<?php
	echo $this->pane->endPanel();
	/* ********************************************************************
	 * *             REPORT                                               *
	 * ******************************************************************** */
	echo $this->pane->startPanel(JText::_('LD_REPORT'),'report-page');
	?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo JText::_('LD_REPORT_SETTINGS');?></th>
	</tr>

	<!-- Report Bad Link -->
	<?php showYesNo(JText::_('LD_REPORTSYSTEM'),JText::_('LD_REPORTSYSTEMDESC'),'badlink'); ?>
	<!-- Report Bad Link -->

	<!-- Report Email -->
	<?php showYesNo(JText::_('LD_REPORT_EMAIL'),JText::_('LD_REPORT_EMAILDESC'),'reportemail'); ?>
	<!-- Report Email -->

	<!-- Spesific Email -->
	<?php showTextField(JText::_('LD_REPORT_OTHER'),JText::_('LD_REPORT_OTHERDESC'),'semail',30); ?>
	<!-- Spesific Email -->

	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>
	<?php
	echo $this->pane->endPanel();
	/* ********************************************************************
	 * *             SEARCH                                               *
	 * ******************************************************************** */
	echo $this->pane->startPanel(JText::_('LD_SEARCH'),'search-page');
?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo JText::_('LD_SEARCH_SETTINGS');?></th>
	</tr>
	<!-- Search Engine -->
	<?php
	showYesNo(JText::_('LD_SEARCHENGINE'),JText::_('LD_SEARCHENGINE_DESC'),'sengine');
	?>
	<!-- Search Engine -->

	<!-- Search Details -->
	<?php
	showYesNo(JText::_('LD_SEARCH_TITLE'),JText::_('LD_SEARCH_TITLE_DESC'),'searchtitle');
	showYesNo(JText::_('LD_SEARCH_URL'),JText::_('LD_SEARCH_URL_DESC'),'searchurl');
	showYesNo(JText::_('LD_SEARCH_DESCRIPTION'),JText::_('LD_SEARCH_DESCRIPTION_DESC'),'searchdesc');
	showYesNo(JText::_('LD_SEARCH_LONG_DESCRIPTION'),JText::_('LD_SEARCH_LONG_DESCRIPTION_DESC'),'searchlongdesc');
	showYesNo(JText::_('LD_SEARCH_CAT_TITLE'),JText::_('LD_SEARCH_CAT_TITLE_DESC'),'searchcattitle');
	showYesNo(JText::_('LD_SEARCH_CAT_DESC'),JText::_('LD_SEARCH_CAT_DESC_DESC'),'searchcatdesc');
	showYesNo(JText::_('LD_SEARCH_ONLY_IN_SUB_CATS'),JText::_('LD_SEARCH_ONLY_IN_SUB_CATS_DESC'),'searchonlyinsubcats');
	?>
	<!-- Search Details -->
	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>
<?php
	echo $this->pane->endPanel();
	echo $this->pane->endPane();
?> 
	<input type="hidden" name="option" value="com_linkdirectory2" /> 
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="my" value="abc" />
	<input type="hidden" name="boxchecked" value="0" />
	<?php echo JHTML::_( 'form.token' ); ?> 
</form>
</div>
