<?php defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * @version 2.0 $Id: view.html.php,v 1.10 2009/12/16 20:22:42 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

jimport( 'joomla.application.component.view' );

class Linkdirectory2ViewPanel extends JView {

	public function display($tpl = null){
		$document 	= & JFactory::getDocument();
		$document->addStyleSheet( JUri::base().DS.'components'.DS.'com_linkdirectory2'.DS.'css'.DS.'linkdirectory2.css');
		
		require_once JPATH_COMPONENT_ADMINISTRATOR.DS.'LDConfig.php';	
		JToolBarHelper::title(JText::_('LD_CPANEL'));
		$ld=new LDConfig();
		$model = JModel::getInstance('information', 'LinkDirectory2Model');
		$totalLinks=$model->getTotalLinks();
		$totalPublishedLinks = $model->getTotalPublishedLinks();
		$totalCategories = $model->getTotalCategories();
		$totalPublishedCategories = $model->getTotalPublishedCategories();
		$totalComments = $model->getTotalComments();
		$totalPublishedComments = $model->getTotalPublishedComments();
		$totalApprovedComments = $model->getTotalApprovedComments();
		$componentLatestVersion = $model->getLatestCommponetVersion($ld->versioncheck);
		$componentVersion = $model->getCommponetVersion();
		
		// Statistik
		$this->assign('totalLinks',$totalLinks);
		$this->assign('totalPublishedLinks',$totalPublishedLinks);
		$this->assign('totalCategories',$totalCategories);
		$this->assign('totalPublishedCategories',$totalPublishedCategories);
		$this->assign('totalComments',$totalComments);
		$this->assign('totalPublishedComments',$totalPublishedComments);
		$this->assign('totalApprovedComments',$totalApprovedComments);
		$this->assign('componentLatestVersion',$componentLatestVersion);
		$this->assign('componentVersion',$componentVersion);	
		$this->assign('commentlink',$ld->commentlink);
		
		require_once JPATH_COMPONENT_ADMINISTRATOR.DS.'classes'.DS.'JCommentInstallHelper.php';
	
		// Installierte Module
		$modules['ld_hitlists'] = $model->getModulVersion('mod_ld_hitlists');
		$modules['ld_dtree'] = $model->getModulVersion('mod_ld_dtree');
		$modules['JComponets']= JCommentInstallHelper::isJCommentInstalled();
		$modules['JComponetsLd2Plugin']=JCommentInstallHelper::isLinkdirectoy2PluginInstalled();
		$this->assignRef('modules',$modules);
		
		// Plugins
		$plugins['ld_search'] = $model->getPluginVersion('search','linkdirectory2');
		$this->assignRef('plugins',$plugins);
		
		parent::display($tpl);
	}
}
