<?php defined('_JEXEC') or die('Restricted access'); 

/**
 * @version 2.0 $Id: default.php,v 1.4 2009/11/22 21:03:13 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

?>
<form action="index.php" method="post" name="adminForm">
<table>
<tr>
	<td align="left" width="100%">
		<?php echo JText::_( 'Filter' ); ?>:
		<input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
		<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
		<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_catid').value='0';this.form.getElementById('filter_state').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
	</td>
	<td nowrap="nowrap">
		<?php
			echo $this->lists['type'];
			echo $this->lists['state'];
		?>
	</td>
</tr>
</table>
<div id="editcell">
	<table class="adminlist">
	<thead>
		<tr>
			<th width="5">
				<?php echo JText::_( 'NUM' ); ?>
			</th>			
			<th width="20">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
			</th>
			<th class="title">
				<?php echo JHTML::_('grid.sort',  'Title', 'a.rev_title', $this->lists['order_Dir'], $this->lists['order'] ); ?>
			</th>
			<th class="title">
				<?php echo JHTML::_('grid.sort',  'Text', 'a.rev_text', $this->lists['order_Dir'], $this->lists['order'] ); ?>
			</th>
			<th class="title">
				<?php echo JHTML::_('grid.sort',  'LD COMMENT TYPE', 'a.type', $this->lists['order_Dir'], $this->lists['order'] ); ?>
			</th>
			<th width="5%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort',  'LD_APPROVED', 'a.rev_approved', $this->lists['order_Dir'], $this->lists['order'] ); ?>
			</th>
			<th class="title">
				<?php echo JHTML::_('grid.sort',  'LD_REPORTER', 'a.type', $this->lists['order_Dir'], $this->lists['order'] ); ?>
			</th>
			<th width="15%"  class="title">
				<?php echo JHTML::_('grid.sort',  'Weblink', 'link_title', $this->lists['order_Dir'], $this->lists['order'] ); ?>
			</th>
			<th width="10%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort',  'Date', 'a.rev_date', $this->lists['order_Dir'], $this->lists['order'] ); ?>
			</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="9">
				<?php echo $this->pagination->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
		<?php
	$k = 0;
	for ($i=0, $n=count( $this->items ); $i < $n; $i++) {
		$row = &$this->items[$i];;
		$urlEditComment 	= JRoute::_( 'index.php?option=com_linkdirectory2&view=comment&task=editWebComment&cid[]='. $row->rev_id );
		$checked 	= JHTML::_('grid.checkedout',   $row, $i,'rev_id' );
		$row->published = $row->rev_approved;
		$approved 	= JHTML::_('grid.published', $row, $i , 'tick.png', 'publish_x.png', 'WebComment');
		$row->urleditWebLink 	= JRoute::_('index.php?option=com_linkdirectory2&view=weblink&task=editWebLink&cid[]='. $row->link_id.'&source=webcomments');
		$poster = $row->user_id ? $row->username : $row->guest_name;
		?>
	<tr class="<?php echo "row$k"; ?>">
		<!-- Nummer -->
		<td><?php echo $this->pagination->getRowOffset( $i ); ?></td>
		<!-- Auswahl -->
		<td>
			<?php echo $checked; ?>
		</td>
		<!-- Titel Kommentar -->
		<td>
			<?php
			if (  JTable::isCheckedOut($this->user->get ('id'), $row->checked_out ) ) {
				echo $this->escape($row->rev_title);
			} else {
			?>
			<span class="editWebLinktip hasTip" title="<?php echo JText::_( 'Edit Comments' );?>::<?php echo $this->escape($row->rev_title); ?>">
				<a href="<?php echo $urlEditComment; ?>">
					<?php echo $this->escape($row->rev_title); ?></a></span>
			<?php
			}
			?>
		</td>
		<!-- Text Kommentar -->
		<td><?php echo $row->rev_text; ?></td>
		<!-- Grund -->
		<td><?php require_once JPATH_COMPONENT_ADMINISTRATOR.DS.classes.DS.'CommentHtmlUtils.php';
		echo CommentHtmlUtils::convertCommentTypeToDescription($row->type); 
		?></td>
		<!-- Freigegeben -->
		<td align="center"><?php echo $approved;?></td>
		<!-- Poster -->
		<td align="center"><?php echo $poster; ?></td>
		<!-- Link-Titel inkl. Link dorthin -->
		<td><a href="<?php echo $row->urleditWebLink; ?>" title="Edit Link"> <?php echo $row->link_title; ?></a></td>
		<!-- Datum des Kommentars -->
		<td><?php echo $row->rev_date; ?></td>
	</tr>
	<?php
	$k = 1 - $k;
}
?>
	</tbody>
	</table>
</div>

	<input type="hidden" name="option" value="com_linkdirectory2" />
	<input type="hidden" name="task" value="webcomments" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
