<?php defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * @version 2.0 $Id: LinkHtmlUtils.php,v 1.4 2009/11/24 23:25:15 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

class LinkHtmlUtils {
	/**
	 * Gibt bei $usingLongDescription gleich true und einer nicht leeren Langbeschreibung 
	 * die Langbeschreibung zurück, ansonsten die "normale" Beschreibung.
	 *
	 * @param Link $link
	 * @param boolean $usingLongDescription
	 */
	public static function getDescription($link, $usingLongDescription) {
		if ($usingLongDescription){
			$description = trim(htmlspecialchars($link->description_long))!= ''?$link->description_long:$link->description;
		} else {
			$description=$link->description;
		}
		return $description;
	}	
	
	
	public static function getEditPanel(&$id) {
	
	}
}


?>