<?php

class CategoryHtmlHelper{

	public function getCategoryListAsHtml( $name, $active=NULL, $javascript=NULL, $order='ordering', $size=1, $sel_cat=1 ) {
		global $database;
		$list = CategoryHtmlHelper::getCategoryHierarchyAsArray();
		$options[] = JHTML::_('select.option', '', JText::_('SEL_CATEGORY'),'value','text'); 
		foreach ($list as $item) {
			$options[] = JHTML::_('select.option', $item->id, $item->treename,'value','text');
		}
		$category =  JHTML::_('select.genericlist',  $options, $name,  'class="inputbox" size="'. $size .'" '. $javascript, 'value', 'text', $active );
		return $category;
	}

	private function getCategoryHierarchyAsArray() {
		$db		=& JFactory::getDBO();
		$user 	=& JFactory::getUser();

		$query = "SELECT c.*, c.parent_id AS parent FROM #__ldcats c"
		. " WHERE published <> -2 AND access <= '$user->gid'"
		. " ORDER BY ordering" ;

		$db->setQuery($query);
		$items = $db->loadObjectList();
		$children = array();

		foreach ($items as $v) {
			$pt = $v->parent;
			$list = @$children[$pt] ? $children[$pt] : array();
			array_push($list, $v);
			$children[$pt] = $list;
		}
		$array = JHTML::_('menu.treerecurse', 0, '', array(), $children, 9999, 0, 1);
		return $array;
	}
}
?>