<?php defined('_JEXEC') or die('Restricted access');

/**
 * @version 2.0 $Id: form.php,v 1.4 2009/11/22 21:02:12 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

JHTML::_('behavior.tooltip'); 
$edit		= JRequest::getVar('edit',true);
$text = !$edit ? JText::_( 'New' ) : JText::_( 'Edit' );
JToolBarHelper::title(   JText::_( 'LD WEBCATEGORY' ).': <small><small>[ ' . $text.' ]</small></small>' );
JToolBarHelper::save('saveWebCategory');
if (!$edit)  {
	JToolBarHelper::cancel('cancelWebCategory');
} else {
	JToolBarHelper::cancel('cancelWebCategory', 'Close' );
}
?>

<script language="javascript" type="text/javascript">
	function submitbutton(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'cancelWebCategory') {
			submitform( pressbutton );
			return;
		}
		if (form.name.value == ""){
			alert( "<?php echo JText::_( 'WEBCATEGORY ITEM MUST HAVE A NAME', true ); ?>" );
		} else {
			submitform( pressbutton );
		}
	}
</script>
<style type="text/css">
	table.paramlist td.paramlist_key {
		width: 92px;
		text-align: left;
		height: 30px;
	}
</style>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<div class="col width-50">
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'details' ); ?></legend>

		<table class="admintable">
		<tr>
			<td width="100" align="right" class="key">
				<label for="title">
					<?php echo JText::_( 'LD CATECORY NAME' ); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="name" id="name" size="32" maxlength="250" value="<?php echo $this->webcategory->name;?>" />
			</td>
		</tr>
		<tr>
			<td width="100" align="right" class="key">
				<label for="title">
					<?php echo JText::_( 'LD CATEGORY IMAGE' ); ?>
				</label>
			</td>
			<td><?php echo $this->lists['image'] .' ('. $this->lists['thumbnaildir'].')';?></td>
		</tr>
		<tr>
			<td valign="top" align="right" class="key">
				<?php echo JText::_( 'published' ); ?>:
			</td>
			<td>
				<?php echo $this->lists['published']; ?>
			</td>
		</tr>
		<tr>
			<td valign="top" align="right" class="key">
				<label for="catid">
					<?php echo JText::_( 'LD SUB CATEGORY' ); ?>:
				</label>
			</td>
			<td>
				<?php echo $this->lists['catid']; ?>
			</td>
		</tr>
		<tr>
			<td valign="top" align="right" class="key">
				<label for="ordering">
					<?php echo JText::_( 'order' ); ?>:
				</label>
			</td>
			<td>
				<?php echo $this->lists['ordering']; ?>
			</td>
		</tr>
		</table>
	</fieldset>
</div>		
<!--  - - - - - - - - - - - - - - - - - - - -->
<!--          Local Thumbnail Image         -->
<!--  - - - - - - - - - - - - - - - - - - - -->	
<div class="col width-50">
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'LD CATEGORY IMAGE' ); ?></legend>

		<table class="admintable">
		<tr>
			<td colspan="2"><script language="javascript"
			type="text/javascript">
					if (document.forms[0].image.options.value!=''){
					  jsimg='<?php echo JURI::root() . $this->lists['thumbnaildir'];?>/' + document.forms[0].image.value;
					} else {
					  jsimg='<?php echo JURI::root()?>images/blank.png';
					}
					document.write('<img src=' + jsimg + ' name="imagelib" width="80" height="80" border="2" alt="<?php echo JText::_('LD_PREVIEW');?>" />');
					</script></td>
			</tr>
		</table>
	</fieldset>
</div>
<!--  - - - - - - - - - - - - - - - - - - - -->
<!--          Parameters                    -->
<!--  - - - - - - - - - - - - - - - - - - - -->
<div class="col width-50">
	<fieldset class="adminform">		
		<legend><?php echo JText::_( 'parameters' ); ?></legend>

		<table class="admintable">
		<tr>
			<td colspan="2">
				<?php /* TODO echo $this->params->render();*/?>
			</td>
		</tr>
		</table>
	</fieldset>
</div>
<!--  - - - - - - - - - - - - - - - - - - - -->
<!--          Long Description              -->
<!--  - - - - - - - - - - - - - - - - - - - -->
<div class="col width-50">
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'LD_LONG_DESCRIPTION' ); ?></legend>
		<?php $editor =& JFactory::getEditor(); ?>
		<table class="admintable">
		<tr>
			<td><?php echo $editor->display('description', $this->webcategory->description, '100%;', '300', '60', '20' );  ?>
			</td>
		</tr>
		</table>
	</fieldset>
</div>
<div class="clr"></div>

	<input type="hidden" name="option" value="com_linkdirectory2" />
	<input type="hidden" name="cid[]" value="<?php echo $this->webcategory->id; ?>" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="source" value="<?php echo $this->source;?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>