<?php defined('_JEXEC') or die( 'Restricted access' );

/**
 * @version 2.0 $Id: view.html.php,v 1.6 2009/11/22 21:03:48 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

jimport( 'joomla.application.component.view');

class LinkDirectory2ViewWeblink extends JView {

	private function displayToolBar() {
		JHTML::_('behavior.tooltip'); 
		$edit		= JRequest::getVar('edit',true);
		$text = !$edit ? JText::_( 'New' ) : JText::_( 'Edit' );
		JToolBarHelper::title(   JText::_( 'LD WEBLINK' ).': <small><small>[ ' . $text.' ]</small></small>' );
		JToolBarHelper::save('saveWebLink');
		if (!$edit)  {
			JToolBarHelper::cancel('cancelWebLink');
		} else {
			JToolBarHelper::cancel('cancelWebLink', 'Close' );
		}
	}
	
	
	public function display($tpl = null) {
		global $mainframe;
		$this->displayToolBar();
		
		require_once JPATH_COMPONENT_ADMINISTRATOR.DS.'LDConfig.php';
		$ld = new LDConfig();
		$model	=& $this->getModel();
		$lists = array();
		$weblink	= $this->get('data');
		$isNew		= ($weblink->id < 1);
		
		if ($isNew) {
			$weblink->published = 1;
			$weblink->approved 	= 1;
			$weblink->order 	= 0;
			$weblink->catid 	= JRequest::getVar( 'catid', 0, 'post', 'int' );
		}
		$query = 'SELECT ordering AS value, title AS text'
			. ' FROM #__ldlinks'
			. ' WHERE catid = ' . (int) $weblink->catid
			. ' ORDER BY ordering';

		$lists['ordering'] 			= JHTML::_('list.specificordering',  $weblink, $weblink->id, $query );
		require_once JPATH_COMPONENT_ADMINISTRATOR.DS.classes.DS.'CategoryHtmlHelper.php';
		$lists['catid'] = CategoryHtmlHelper::getCategoryListAsHtml( 'catid', intval( $weblink->catid), $javascript );
		$lists['published'] 		= JHTML::_('select.booleanlist',  'published', 'class="inputbox"', $weblink->published );
		$thumbnailDir='/images'.'/'.$ld->thumbfolderlist;
		$javascript = "onchange=\"javascript:if (document.forms[0].image.options[selectedIndex].value!='') {document.imagelib.src='../$thumbnailDir/' + document.forms[0].image.options[selectedIndex].value} else {document.imagelib.src='../images/blank.png'}\"";
		$lists['image']             = JHTML::_('list.images', 'image', $weblink->image ,$javascript,$thumbnailDir);
		$lists['thumbnaildir']      = $thumbnailDir;
		JFilterOutput::objectHTMLSafe( $weblink, ENT_QUOTES, 'description' );

		$file 	= JPATH_COMPONENT.DS.'models'.DS.'weblink.xml';
		$params = new JParameter( $weblink->params, $file );

		$this->assignRef('lists',		$lists);
		$this->assignRef('weblink',		$weblink);
		$this->assignRef('params',		$params);
		$source = JRequest::getString('source','');
		$this->assignRef('source', $source);
		parent::display($tpl);
	}
}
