<?php defined('_JEXEC') or die('Restricted access'); 

/**
 * @version 2.0 $Id: default.php,v 1.15 2009/12/01 19:59:52 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

require_once(JPATH_COMPONENT.DS.'classes'.DS.'LinkdirectoryURL.php');
require_once(JPATH_COMPONENT.DS.'classes'.DS.'LinkHtmlUtils.php');
require_once(JPATH_COMPONENT.DS.'classes'.DS.'RatingHtmlUtils.php');
require_once(JPATH_COMPONENT.DS.'classes'.DS.'CommentHtmlUtils.php');

?>

<!-- Web link details (BEGINN) -->
<div id="linkdetail">
<table width="100%" cellpadding="0" cellspacing="0" border="0">
	<!-- Link -->
	<tr>
		<td class="ldlinktitle" colspan="2"><a
			href="<?php echo $this->linkurl;?>" target="_blank"><?php echo $this->row->title ?></a>
		</td>
	</tr>
	
	<!-- Bewertung -->
	<?php if ($this->ratelink) { ?>
	<tr>
		<td class="ldlinkdetails" width="20%"><?php echo JText::_('LD_RATING');?>:</td>
		<td class="ldlinkdetails"><?php echo RatingHtmlUtils::show($this->row->rating, $this->row->votes);?>
		&nbsp;&nbsp;(<?php echo $this->row->votes;?> <?php echo JText::_('LD_VOTES');?>)</td>
	</tr>
	<?php } ?>
	
	<!-- Hinzugefügt am -->
	<?php if ($this->ldshowlinkadd) {?>
	<tr>
		<td class="ldlinkdetails"><?php echo JText::_('LD_DATE_ADDED');?>:</td>
		<td class="ldlinkdetails"><?php echo JHTML::_('date', $this->row->created);?></td>
	</tr>
	<?php } ?>
	
	<!--  Hit Counter -->	
	<?php if ($this->showhits) { ?>
	<tr>
		<td class="ldlinkdetails"><?php echo JText::_('LD_HITS');?>:</td>
		<td class="ldlinkdetails"><?php echo $this->row->hits;?></td>
	</tr>
	<?php } ?>
	
	<!-- Besschreibung bzw. Langbeschreibung -->
	<?php
	$description= LinkHtmlUtils::getDescription($this->row,$this->showlongdescription);
	if ($description || $this->linkThumbImage){ ?>
	<tr>
		<td class="ldlinkdetails"><?php echo JText::_('LD_DESC');?>:</td>
		<td class="ldlinkdetails"><?php echo $this->linkThumbImage . $description ?></td>
	</tr>
	<?php } ?>
	<?php if ($this->thumbnailServiceBackLink){ ?> 
	<tr>
		<td colspan="2"><?php echo $this->thumbnailServiceBackLink; ?></td>
	</tr>
	<?php } ?>
</table>
<!-- Web link details (ENDE)-->

<!-- Link Panel (BEGINN) -->
<table width="100%" cellpadding="0" cellspacing="0" border="0">
	<tr>
		<td class="ldaction"><a href="<?php echo $this->linkurl;?>" target="_blank"> <?php echo JText::_('LD_VISITLINK');?> </a> <?php if ($this->ratelink) { ?>
| <a href="<?php echo $this->rateurl;?>#action"> <?php echo JText::_('LD RATE WEBLINK');?>
</a> <?php } if ( CommentHtmlUtils::isInternActive()) {?> | <a
	href="<?php echo $this->commenturl;?>#action"> <?php echo JText::_('LD WRITE WEBCOMMENT');?>
</a> <?php } if ($this->badlink) {?> | <a
	href="<?php echo $this->reporturl;?>#action"> <?php echo JText::_('LD REPORT BADWEBLINK');?>
</a> <?php } ?></td>
<td  class="ldaddlink"><?php LinkHtmlUtils::getEditPanel($this->row->catid);?></td>
</tr></table>
<!-- Link Panel (ENDE) -->

<br clear="all" />
</div>